---
title: "Pages a portfolio's daily snapshots."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › portfolio

`GET /v1/stores/{store}/products/{product}/portfolio/snapshots`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `portfolio:read`

## Path parameters

- `store` (`listPortfolioSnapshots.path.store`; string, required) — The store's id.
- `product` (`listPortfolioSnapshots.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Query parameters

- `filter` (`listPortfolioSnapshots.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listPortfolioSnapshots.query.sort`; string, optional)
  - one of `"date"`
- `direction` (`listPortfolioSnapshots.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listPortfolioSnapshots.query.limit`; integer, optional)
  - min 1; max 1000
- `cursor` (`listPortfolioSnapshots.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listPortfolioSnapshots.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/snapshots' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/snapshots';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/portfolio/snapshots"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages a portfolio's daily snapshots.

#### Example

```json
{
  "items": [
    {
      "value": 0,
      "cash": 0,
      "positions": 0,
      "twr": 0,
      "benchmark": 0,
      "benchmarks": {
        "sp500": 0,
        "nasdaq": 0,
        "acwi": 0,
        "gold": 0
      },
      "state": "string",
      "currency": "string",
      "exponent": 0,
      "portfolio_id": "string",
      "date": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listPortfolioSnapshots.response.200.items`; array<object>, required)
  - `value` (`listPortfolioSnapshots.response.200.items.value`; number, required)
  - `cash` (`listPortfolioSnapshots.response.200.items.cash`; any of, required)
    - any of: `number`, `null`
  - `positions` (`listPortfolioSnapshots.response.200.items.positions`; any of, required)
    - any of: `number`, `null`
  - `twr` (`listPortfolioSnapshots.response.200.items.twr`; any of, required)
    - any of: `number`, `null`
  - `benchmark` (`listPortfolioSnapshots.response.200.items.benchmark`; any of, required)
    - any of: `number`, `null`
  - `benchmarks` (`listPortfolioSnapshots.response.200.items.benchmarks`; object, required)
    - `sp500` (`listPortfolioSnapshots.response.200.items.benchmarks.sp500`; any of, required)
      - any of: `number`, `null`
    - `nasdaq` (`listPortfolioSnapshots.response.200.items.benchmarks.nasdaq`; any of, required)
      - any of: `number`, `null`
    - `acwi` (`listPortfolioSnapshots.response.200.items.benchmarks.acwi`; any of, required)
      - any of: `number`, `null`
    - `gold` (`listPortfolioSnapshots.response.200.items.benchmarks.gold`; any of, required)
      - any of: `number`, `null`
  - `state` (`listPortfolioSnapshots.response.200.items.state`; string, required)
  - `currency` (`listPortfolioSnapshots.response.200.items.currency`; string, required)
  - `exponent` (`listPortfolioSnapshots.response.200.items.exponent`; any of, required)
    - any of: `number`, `null`
  - `portfolio_id` (`listPortfolioSnapshots.response.200.items.portfolio_id`; string, required)
  - `date` (`listPortfolioSnapshots.response.200.items.date`; string, required)
- `cursor` (`listPortfolioSnapshots.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listPortfolioSnapshots.response.200.total`; number, optional)
- `facets` (`listPortfolioSnapshots.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listPortfolioSnapshots.response.default.type`; string, required)
  - format `uri`
- `title` (`listPortfolioSnapshots.response.default.title`; string, required)
- `status` (`listPortfolioSnapshots.response.default.status`; integer, required)
- `detail` (`listPortfolioSnapshots.response.default.detail`; string, required)
- `code` (`listPortfolioSnapshots.response.default.code`; string, optional)
- `context` (`listPortfolioSnapshots.response.default.context`; object, optional)
- `reached_core` (`listPortfolioSnapshots.response.default.reached_core`; boolean, optional)
- `core_answer` (`listPortfolioSnapshots.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-portfolio-snapshots/index.md
